seo:
  title: A visual prototype of Drupal.org's GitLab integration
  description: >-
    Guest author Tim Lehnen shares a visual preview of free and open source
    platform Drupal's upcoming integration with GitLab.
  ogTitle: A visual prototype of Drupal.org's GitLab integration
  ogDescription: >-
    Guest author Tim Lehnen shares a visual preview of free and open source
    platform Drupal's upcoming integration with GitLab.
  noIndex: false
  ogImage: images/blog/hero-images/drupal-cover.png
  ogUrl: >-
    https://about.gitlab.com/blog/a-visual-prototype-of-drupal-dot-orgs-integration-with-gitlab
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: >-
    https://about.gitlab.com/blog/a-visual-prototype-of-drupal-dot-orgs-integration-with-gitlab
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "A visual prototype of Drupal.org's GitLab integration",
            "author": [{"@type":"Person","name":"Tim Lehnen"}],
            "datePublished": "2018-12-19",
          }

content:
  title: A visual prototype of Drupal.org's GitLab integration
  description: >-
    Guest author Tim Lehnen shares a visual preview of free and open source
    platform Drupal's upcoming integration with GitLab.
  authors:
    - Tim Lehnen
  heroImage: images/blog/hero-images/drupal-cover.png
  date: '2018-12-19'
  body: >

    At [Drupal Europe](https://www.drupaleurope.org) in September, we were very
    pleased that project founder [Dries Buytaert](https://dri.es) highlighted a
    visual prototype of our upcoming integration with GitLab in his keynote.
    This follows our announcement that we'd be [moving to
    GitLab](/blog/2018/08/16/drupal-moves-to-gitlab/) back in August.


    <!-- blank line -->

    <figure class="video_container">
      <iframe src="https://www.youtube.com/embed/q06taaJPGDw?rel=0&amp;showinfo=0" frameborder="0" allowfullscreen="true"> </iframe>
    </figure>

    <!-- blank line -->


    This video outlines the migration phases that we discussed [in the
    announcement of our partnership with
    GitLab](https://www.drupal.org/drupalorg/blog/developer-tools-initiative-part-5-gitlab-partnership).
    Our migration window for Phase 1 is targeted for the first weeks of January,
    and we hope Phase 2 to be completed shortly in the beginning of 2019.


    ## So what has it taken to get this integration working between September
    and now?


    Primarily, lots of collaboration with the GitLab team. We've worked with
    their excellent engineering staff to resolve a number of issues that affect
    our integration, including:


    - [git merge-base web
    API](https://gitlab.com/gitlab-org/gitlab-ce/issues/49850)

    - [Add ability to confirm a user’s email address via "Add email for user"
    API](https://gitlab.com/gitlab-org/gitlab-ce/issues/50876)

    - [Allow configuration of the display URL for clone
    instructions](https://gitlab.com/gitlab-org/gitlab-ce/issues/49698)

    - [Ability to hide User's Email Address from GitLab
    UI](https://gitlab.com/gitlab-org/gitlab-ce/issues/24221)

    - [Allow ability for developer role to delete
    tags](https://gitlab.com/gitlab-org/gitlab-ce/issues/52954)

    - [Set GL_REPOSITORY in update hooks for API-initiated
    requests](https://gitlab.com/gitlab-org/gitaly/issues/1402)

    - [Deduplication of Git objects, reducing disk space of repository
    forks](https://gitlab.com/gitlab-org/gitlab-ce/issues/23029)


    On the Drupal.org side:

     - We've built a [`versioncontrol_gitlab` module](https://www.drupal.org/project/versioncontrol_gitlab), which extends our use of the [`versioncontrol_git` module](https://www.drupal.org/project/versioncontrol_git) to orchestrate our integration.
     - We've also been cleaning up our data, to ensure there are no namespace conflicts between existing Drupal projects and users, and the reserved terms used by GitLab.

    We're now in the midst of serious migration testing: testing and re-testing
    the process in our staging environment, putting load testing in place to
    stress test our integration, and doing user-validation testing to ensure
    that the workflows affected by this integration are working as expected.


    All in all, we're thrilled with the progress, and very thankful for GitLab's
    close collaboration. We're excited to be moving the Drupal project to its
    next generation tooling soon. Once Phase 1 of our migration is complete,
    it'll be time for Phase 2 and our community will start seeing some
    tremendous improvements in efficiency and collaboration.


    ## How can people get involved in Drupal?


    The Drupal community has a comprehensive [Getting Involved
    Guide](https://www.drupal.org/getting-involved-guide) that can help
    individuals find their place in the Drupal community. There are also meetups
    and conferences around the world that are a great way to start your Drupal
    journey. In particular, [DrupalCon will be coming to Seattle from Apr. 8-12,
    2019](https://events.drupal.org/seattle2019).


    The Drupal project's motto has always been "Come for the code, stay for the
    community" and 17 years later, that's a sentiment we still believe in.


    ### About the guest author


    Tim Lehnen is the Executive Director at the [Drupal
    Association](https://www.drupal.org/association).


    _This guest post was originally published [on the Drupal
    blog](https://www.drupal.org/drupalorg/blog/a-visual-prototype-of-drupalorgs-integration-with-gitlab)._
  category: Open Source
  tags:
    - open source
    - community
    - integrations
config:
  slug: a-visual-prototype-of-drupal-dot-orgs-integration-with-gitlab
  featured: false
  template: BlogPost
